Re: [VOTE] Shall we release ORC 1.4.5rc1?

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: [VOTE] Shall we release ORC 1.4.5rc1?

Dongjoon Hyun-2
+1 for Apache ORC 1.4.5 release.

Thank you for making the release.

I'd like to mention some notable changes here.
Apache ORC 1.4.5 is not a drop-in replacement for 1.4.4 because of the following.

      ORC-498: ReaderImpl and RecordReaderImpl open separate file handles.

Applications should be updated accordingly. Otherwise, file system leakages occur.
For example, Apache Spark 2.3.5-SNAPSHOT is currently using v1.4.4 and will not work with v1.4.5.

In short, there is a breaking change between v1.4.4 and v1.4.5 like the breaking change between v1.5.5 and 1.5.6.
For the required change, please refer Owen's Apache Spark upgrade patch.

      [SPARK-28208][BUILD][SQL] Upgrade to ORC 1.5.6 including closing the ORC readers
      https://github.com/apache/spark/commit/dfb0a8bb048d43f8fd1fb05b1027bd2fc7438dbc

Bests,
Dongjoon.


On Fri, Dec 6, 2019 at 4:19 PM Alan Gates <[hidden email]> wrote:
+1.  Did a build on ubuntu 16, checked the signatures and hashes.  Reviewed
the license changes.

Alan.

On Fri, Dec 6, 2019 at 1:41 PM Owen O'Malley <[hidden email]> wrote:

> All,
>    Ok, I backported a few more fixes in to rc1:
>
>    - ORC-480
>    - ORC-552
>    - ORC-576
>
>
> Should we release the following artifacts as ORC 1.4.5?
>
> tar: http://home.apache.org/~omalley/orc-1.4.5/
> tag: https://github.com/apache/orc/releases/tag/release-1.4.5rc1
> jiras: https://issues.apache.org/jira/browse/ORC/fixforversion/12345479
>
> Thanks!
>
Reply | Threaded
Open this post in threaded view
|

Re: [VOTE] Shall we release ORC 1.4.5rc1?

Hyukjin Kwon
+1 (as a Spark user)

2019년 12월 7일 (토) 오전 11:06, Dongjoon Hyun <[hidden email]>님이 작성:
+1 for Apache ORC 1.4.5 release.

Thank you for making the release.

I'd like to mention some notable changes here.
Apache ORC 1.4.5 is not a drop-in replacement for 1.4.4 because of the following.

      ORC-498: ReaderImpl and RecordReaderImpl open separate file handles.

Applications should be updated accordingly. Otherwise, file system leakages occur.
For example, Apache Spark 2.3.5-SNAPSHOT is currently using v1.4.4 and will not work with v1.4.5.

In short, there is a breaking change between v1.4.4 and v1.4.5 like the breaking change between v1.5.5 and 1.5.6.
For the required change, please refer Owen's Apache Spark upgrade patch.

      [SPARK-28208][BUILD][SQL] Upgrade to ORC 1.5.6 including closing the ORC readers
      https://github.com/apache/spark/commit/dfb0a8bb048d43f8fd1fb05b1027bd2fc7438dbc

Bests,
Dongjoon.


On Fri, Dec 6, 2019 at 4:19 PM Alan Gates <[hidden email]> wrote:
+1.  Did a build on ubuntu 16, checked the signatures and hashes.  Reviewed
the license changes.

Alan.

On Fri, Dec 6, 2019 at 1:41 PM Owen O'Malley <[hidden email]> wrote:

> All,
>    Ok, I backported a few more fixes in to rc1:
>
>    - ORC-480
>    - ORC-552
>    - ORC-576
>
>
> Should we release the following artifacts as ORC 1.4.5?
>
> tar: http://home.apache.org/~omalley/orc-1.4.5/
> tag: https://github.com/apache/orc/releases/tag/release-1.4.5rc1
> jiras: https://issues.apache.org/jira/browse/ORC/fixforversion/12345479
>
> Thanks!
>
Reply | Threaded
Open this post in threaded view
|

Re: [VOTE] Shall we release ORC 1.4.5rc1?

Owen O'Malley
With four +1's and no -1's the vote passes. I'll promote the release.

Thanks,
   Owen



On Fri, Dec 6, 2019 at 6:12 PM Hyukjin Kwon <[hidden email]> wrote:
+1 (as a Spark user)

2019년 12월 7일 (토) 오전 11:06, Dongjoon Hyun <[hidden email]>님이 작성:

> +1 for Apache ORC 1.4.5 release.
>
> Thank you for making the release.
>
> I'd like to mention some notable changes here.
> Apache ORC 1.4.5 is not a drop-in replacement for 1.4.4 because of the
> following.
>
>       ORC-498: ReaderImpl and RecordReaderImpl open separate file handles.
>
> Applications should be updated accordingly. Otherwise, file system
> leakages occur.
> For example, Apache Spark 2.3.5-SNAPSHOT is currently using v1.4.4 and
> will not work with v1.4.5.
>
> In short, there is a breaking change between v1.4.4 and v1.4.5 like the
> breaking change between v1.5.5 and 1.5.6.
> For the required change, please refer Owen's Apache Spark upgrade patch.
>
>       [SPARK-28208][BUILD][SQL] Upgrade to ORC 1.5.6 including closing the
> ORC readers
>
> https://github.com/apache/spark/commit/dfb0a8bb048d43f8fd1fb05b1027bd2fc7438dbc
>
> Bests,
> Dongjoon.
>
>
> On Fri, Dec 6, 2019 at 4:19 PM Alan Gates <[hidden email]> wrote:
>
>> +1.  Did a build on ubuntu 16, checked the signatures and hashes.
>> Reviewed
>> the license changes.
>>
>> Alan.
>>
>> On Fri, Dec 6, 2019 at 1:41 PM Owen O'Malley <[hidden email]>
>> wrote:
>>
>> > All,
>> >    Ok, I backported a few more fixes in to rc1:
>> >
>> >    - ORC-480
>> >    - ORC-552
>> >    - ORC-576
>> >
>> >
>> > Should we release the following artifacts as ORC 1.4.5?
>> >
>> > tar: http://home.apache.org/~omalley/orc-1.4.5/
>> > tag: https://github.com/apache/orc/releases/tag/release-1.4.5rc1
>> > jiras: https://issues.apache.org/jira/browse/ORC/fixforversion/12345479
>> >
>> > Thanks!
>> >
>>
>